complexType "CommodityDeliveryPeriods"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 1 element
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definitions of 1 attribute, 1 element
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | periodsSchedule
</...>

Content Model Elements (1):

  periodsSchedule

Known Direct Subtypes (1):

  GasDeliveryPeriods

Known Usage Locations

- In derivations of other global types (1):
  GasDeliveryPeriods (as extension base)

Annotation
The different options for specifying the Delivery Periods of a physical leg.
XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="CommodityDeliveryPeriods"> <xsd:choice> <!--View Generation: SKIPPED periods - Documentation--> <xsd:element name="periodsSchedule" type="CommodityCalculationPeriodsSchedule"/> <!--View Generation: SKIPPED - References--> </xsd:choice> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 1/1)
periodsSchedule

  Type: | CommodityCalculationPeriodsSchedule, complex content

  The Delivery Periods for this leg of the swap. This type is only intended to be used if the Delivery Periods differ from the Calculation Periods on the fixed or floating leg. If DeliveryPeriods mirror another leg, then the calculationPeriodsReference element should be used to point to the Calculation Periods on that leg - or the calculationPeriodsScheduleReference can be used to point to the Calculation Periods Schedule for that leg.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="periodsSchedule" type="CommodityCalculationPeriodsSchedule"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.